question

testS avatar image
testS asked ·

How do I update my skill to use ASK SDK v2 without using CLI?

I have a skill that works (not yet launched) using the ASK SDK for Node.js v1. I made it in the developer console using a blueprint from the AWS. I am now trying to make my skill support the CanFulfillIntentRequest interface. The first thing I have to do is update to the ASK SDK v2. The only instructions that I can find to update are using the CLI, which I did not set up for my skill. How can I update to v2 without using the command line? Thanks

alexa skills kitnode_jssdk v2canfulfillintentrequest
10 |2000 characters needed characters left characters exceeded

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Jamie@Amazon avatar image
Jamie@Amazon answered ·

When updating to v2, CLI isn't a requirement. Check out the migration guide over here.

You can also enable that intent under interfaces in the development portal; see here for more info.

10 |2000 characters needed characters left characters exceeded

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.